#!/usr/bin/python3

import os
import sys

ret = os.fork()
if ret == 0:
    print("child process: pid={}, parent process's pid={}".format(os.getpid(), os.getppid()))
    os.execve("/bin/echo", ["echo", "hello from pid={} ".format(os.getpid())], {})
    exit()
elif ret > 0:
    print("parent process: pid={}, child process's pid={}".format(os.getpid(), ret))
    exit()

sys.exit(1)
